
Figure - Bug #116214
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT3】【游戏模式】修改游戏模式中的帧率后，整个系统画面变得非常模糊
2023-02-13 17:39 - CD Test赵飞

Status: CLOSED Start date: 2023-02-13

Priority: High Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-28

Test Type: ST Root cause: 问题原因：��vx1的屏不支持30，45的帧率调整��问题处理：��vx1不支持帧率调整，默认使用60；��vc1可以调整帧率，调整范围为30，45，60

Description

【前提条件】

1、设备已开机

2、游戏已安装

【测试步骤】

1、进入设置 - 游戏模式设置 - GPU设置 -自定义模式

2、帧率选择45

3、打开游戏

4、重复步骤1~3

5、查看

【预期结果】

5、画面显示正常

【实际结果】

5、整个系统画面，包括所有应用画面都变得非常地模糊

【日志】

见附件

History

#1 - 2023-02-13 18:02 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW王武军

#2 - 2023-02-13 18:20 - CD FW 曹覃刚

- Category set to CD-FW

#3 - 2023-02-13 19:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

181251 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_v6.0

wangxl0510@thundersoft.com
AF:GameMode: disable GPU settingsTC-RID: 1201-0204803IssueID: TS-R-BUG-116214Change-Id: I8c697d88aab903821e8deb84dbb4384449898c75

#4 - 2023-02-14 16:11 - CD FW王武军

- File 116214_问题.mp4 added

#5 - 2023-02-14 16:19 - CD FW王武军

【】当前状态

与测试沟通现象，明确了问题现象，并复现了问题。

【】当前分析

1）分析测试提供的日志，未发现上层相关的报错信息；

2）使用了VX1和VC1的屏进行了对比测试：在VX1该问题必现，使用VC1的屏未发现该问题；

3） 116214_问题.mp4 视频是复现问题的步骤，但是视频中未将问题表现出来，但是在实际的物理屏幕上问题是明显存在的；

4）当屏幕画面出现问题后，不能够通过杀除应用进程等方式恢复画面，主动重启设备时，有一次进入了900e，但是不是每次都进入900e

【】下一步策略

从目前的分析来看，该问题需要屏幕硬件的同事帮忙调查下问题 @杜磊

#6 - 2023-02-14 16:42 - CD Test赵飞

- File tlog_sts40x190078_002_0209051206.tar.gz added

已复现重新抓取了Tlog，见附件。

#7 - 2023-02-14 16:44 - CD FW王武军

- File tlog_5221fc0_198_0209061929.tar.gz added

tlog_5221fc0_198_0209061929.tar.gz  是VC1的屏在相同操作下，没出现问题的日志包括kernel日志

#8 - 2023-02-14 17:35 - CD FW王武军

- Assignee changed from CD FW王武军 to CD BSP-杜磊

@磊哥，麻烦你们bsp这边帮忙分析看看。

目前的fw的调查情况和日志信息已经添加到票上。

#9 - 2023-02-17 10:07 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#10 - 2023-02-17 15:25 - CD BSP-杜磊

- Target version deleted (VC1_FSE_0078_20230228)

Hi, ALL

VX1 屏端转换芯片，最大支持的PCLK为160MHZ, LCD屏支持55-60-70FPS,

根据高通计算timing工具，

2025-07-04 2/4



1. 当lcd帧率为60时，此时PCLK为159MHZ, 显示正常。

2. 当lcd帧率超过60时，Plck频率超过160MHZ,导致屏幕黑屏，无法显示输出。

3. 当lcd帧率小于55时，游戏模式时，会出现画面抖动的问题。此时不符合硬件spec要求。

#11 - 2023-02-22 10:40 - CDTS-TEST 周婷

- Category changed from CD-FW to BSP

#12 - 2023-02-23 11:41 - CD BSP-杜磊

Hi, All

VC1的lcd spec标识，标准值为60fps, 没有标定最高或最低的帧率值。

做了如下测试：

60fps　正常显示

70fps　正常显示

75fps 　显示黑屏

#13 - 2023-02-23 14:05 - 方案组-RD3_CDTS 王浩云

- Assignee changed from CD BSP-杜磊 to CDTS_TEST 王成

见我刚才发的邮件，暂时先等一下，预计今天下午就有回复

#14 - 2023-02-23 16:02 - CD BSP-杜磊

- Category changed from BSP to CD-FW

- Assignee changed from CDTS_TEST 王成 to CD FW王武军

#15 - 2023-02-27 18:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184553 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: fix vx1 vc1 fpsAdd logic to judge the device type.vx1 to hide the fps changed logic with default 60,vc1 go on with the fps logic for

33,45,60.TC-RID: 1201-0204803IssueID: TS-R-BUG-116214Change-Id: I3dfa40b6166185179bdbf94c3a48f582cf9712db

#16 - 2023-02-27 18:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184552 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com
AF:GameMode: fix vx1 vc1 fpsAdd logic to judge the device type.vx1 to hide the fps changed logic with default 60,vc1 go on with the fps logic for

33,45,60.TC-RID: 1201-0204803IssueID: TS-R-BUG-116214Change-Id: I64e18d34081c256e4dd05130dc60202ba2f6dd51

#17 - 2023-02-27 19:57 - CD FW王武军

【】处理策略

按照讨论的结果：

vx1不支持帧率调整，默认使用60；

vc1可以调整帧率，调整范围为30，45，60

通过Build中的设备类型进行区分处理。

#18 - 2023-02-27 19:59 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW王武军 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-28

- Root cause set to 问题原因：

vx1的屏不支持30，45的帧率调整

问题处理：

vx1不支持帧率调整，默认使用60；

vc1可以调整帧率，调整范围为30，45，60

#19 - 2023-02-28 14:02 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0078.C101

验证结果：PASS

VX1已移除帧率设置的选项，VC1分别设置30,45,60后启动游戏，画面显示正常

#20 - 2023-02-28 14:02 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 6.15 MB 2023-02-13 CD Test赵飞

116214_问题.mp4 4.48 MB 2023-02-14 CD FW王武军

tlog_sts40x190078_002_0209051206.tar.gz 6.6 MB 2023-02-14 CD Test赵飞

tlog_5221fc0_198_0209061929.tar.gz 10.9 MB 2023-02-14 CD FW王武军
